This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 971575 - Dell XPS 13 wakes up from suspend spontaneously [NEEDINFO]
Dell XPS 13 wakes up from suspend spontaneously
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 16:26 EDT by Dennis Jacobfeuerborn
Modified: 2014-03-10 10:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:39:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1161962 None None None Never

  None (edit)
Description Dennis Jacobfeuerborn 2013-06-06 16:26:45 EDT
Description of problem:
I installed the Fedora 19 Beta release as a second OS next to the pre-installed Windows 8 in UEFI mode on my new Dell XPS 13 (aka "Sputnik"). The problem is that while suspend works fine if I let the laptop sit in the suspended state for several hours it wakes up again for no apparent reason. I do not see this behaviour when I suspend in Windows 8.
Once when this happened I opened the lid and closed it immediately again. The result was not only didn't the laptop again but I was impossible to turn it off. Holding the power button for 30 seconds did nothing. I had to unplug it and let it sit for the night until the battery was empty. The next day I was able to power it up again.

Version-Release number of selected component (if applicable):
Up-to-date Fedora 19 Beta.

How reproducible:
Usually happens a few hours after the system has been suspended.

Steps to Reproduce:
1. Close lid
2. Wait
3. Notice that the laptop has turned on again

Actual results:
Laptop wakes up even though it shouldn't.

Expected results:
Laptop should stay suspended until the lid is opened again.

Additional info:
I added a reference to a bug entry in Launchpad where other users have reported this as well.

Apparently turning off "Intel Smart Connect" and "Intel Rapid Start" in the BIOS/Firmware is supposed to be a workaround for this issue however these features are also really nice to have (basically an automatic hardware-side suspend-to-disk after the laptop has been suspended to ram for a while) so it would be nice to find a proper fix for this.
Comment 1 Josh Boyer 2013-09-18 16:41:47 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Emilia S. 2013-09-23 16:35:50 EDT
I have similar problem on my Acer Aspire One 722.
I only have FC 19 installed and the problem usually occurs on low battery, when it not only doesn't react to lid closing or any other way of making it sleep but also starts a loop - critically low battery -> sleep -> automatic wake up -> sleep ... and so on until the battery is dead.
IMO the cause looks the same - laptop automatically wakes up from sleep.
This happened on both older kernel versions and on 3.11.1-200 so I think you can assume that the patches didn't solve the problem.
Comment 3 Justin M. Forbes 2014-01-03 17:03:54 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 4 Justin M. Forbes 2014-03-10 10:39:29 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.